=== drivers/spmi/Makefile ===
#
# Makefile for kernel SPMI framework.
#
obj-$(CONFIG_SPMI)			+= spmi.o spmi-resources.o
obj-$(CONFIG_SPMI_MSM_PMIC_ARB)		+= spmi-pmic-arb.o
obj-$(CONFIG_MSM_QPNP_INT)		+= qpnp-int.o
