=== drivers/staging/serial/Makefile ===
obj-$(CONFIG_SERIAL_68360) += 68360serial.o
