=== drivers/staging/media/solo6x10/Makefile ===
solo6x10-y := core.o i2c.o p2m.o v4l2.o tw28.o gpio.o disp.o enc.o v4l2-enc.o g723.o

obj-$(CONFIG_SOLO6X10) += solo6x10.o
