=== debian/changelog ===
linux-flo (3.4.0-5.20) xenial; urgency=low

  [ Andy Whitcroft ]

  * [Config] depend on kmod in preference to module-init-tools
    - LP: #1541917

 -- Andy Whitcroft <apw@canonical.com>  Wed, 24 Feb 2016 17:27:36 +0000
