## linux-flo 3.4.0-5.21

=== debian/changelog ===
linux-flo (3.4.0-5.21) xenial; urgency=low

  [ Andy Whitcroft ]

  * [Config] depend on kmod in preference to module-init-tools -- part 2
    - LP: #1541917

 -- Andy Whitcroft <apw@canonical.com>  Wed, 24 Feb 2016 19:45:00 +0000
