=== debian/changelog ===
linux-flo (3.4.0-5.22) xenial; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: timeconst.pl -- fix use of defined on arrays
    - LP: #1549677

 -- Andy Whitcroft <apw@canonical.com>  Thu, 25 Feb 2016 08:52:20 +0000
